package com.mmi.promise;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class ProcurementInitiation implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("Budget")
	private java.lang.Integer budget;
	@org.kie.api.definition.type.Label("Procurement Method")
	private java.lang.String procurementMethod;

	@org.kie.api.definition.type.Label(value = "Transaction Type")
	private java.lang.String transactionType;

	public ProcurementInitiation() {
	}

	public java.lang.Integer getBudget() {
		return this.budget;
	}

	public void setBudget(java.lang.Integer budget) {
		this.budget = budget;
	}

	public java.lang.String getProcurementMethod() {
		return this.procurementMethod;
	}

	public void setProcurementMethod(java.lang.String procurementMethod) {
		this.procurementMethod = procurementMethod;
	}

	public java.lang.String getTransactionType() {
		return this.transactionType;
	}

	public void setTransactionType(java.lang.String transactionType) {
		this.transactionType = transactionType;
	}

	public ProcurementInitiation(java.lang.Integer budget,
			java.lang.String procurementMethod, java.lang.String transactionType) {
		this.budget = budget;
		this.procurementMethod = procurementMethod;
		this.transactionType = transactionType;
	}

}